from sqlalchemy import Column, Integer, String, DateTime, ForeignKey
from sqlalchemy.sql import func
from app.db.base import Base


class DubbedVideo(Base):
    __tablename__ = "dubbed_videos"
    
    id = Column(Integer, primary_key=True, index=True)
    video_id = Column(Integer, ForeignKey("videos.id"), nullable=False)
    s3_url = Column(String, nullable=False)
    created_at = Column(DateTime(timezone=True), server_default=func.now())